Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.shell
Class FileCompleter

    java.lang.Object
      org.hyperic.sigar.shell.CollectionCompleter
          org.hyperic.sigar.shell.FileCompleter

All Implemented Interfaces:
  java.io.FilenameFilter, GetlineCompleter

    public class FileCompleter

extends CollectionCompleter
implements java.io.FilenameFilter

Constructor Summary
`FileCompleter()`
`FileCompleter(ShellBase shell)`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)`
`java.lang.String` | `complete(java.lang.String line)`
`static java.lang.String` | `expand(java.lang.String name)`
`java.util.Iterator` | `getIterator()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class org.hyperic.sigar.shell.CollectionCompleter
`displayPossible, displayPossible, getCollection, getPartialCompletion, setCollection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileCompleter

    public FileCompleter()

### FileCompleter

    public FileCompleter(ShellBase shell)

Method Detail

### expand

    public static java.lang.String expand(java.lang.String name)

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

### getIterator

    public java.util.Iterator getIterator()

  Overrides:
    `getIterator` in class `CollectionCompleter`

### complete

    public java.lang.String complete(java.lang.String line)

  Specified by:
    `complete` in interface `GetlineCompleter`
  Overrides:
    `complete` in class `CollectionCompleter`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.